pttr Posted Friday at 02:03 PM Share Posted Friday at 02:03 PM Hi, I'm trying to change the visibility of the last placed block. I could not find a way that suited me for the code below. (defun vblty (/ Visibility1 blk ) (setq blk (entlast)) (if (/= Visibility1 "") ;Place Visibility1 to block ) ) I have looked at some other topics, but the code is always a bit over my level of LISP understanding. Any help is much appreciated! Quote Link to comment Share on other sites More sharing options...
Steven P Posted Friday at 02:35 PM Share Posted Friday at 02:35 PM Lee Mac has a fairly comprehensive set of routines here ( http://www.lee-mac.com/dynamicblockfunctions.html#getvisibilityparametername ) and to use (entlast) I think you'll need to change that to be a VLA-Object something like: (setq blk (vlax-ename->vla-object (entlast))) He is usually pretty good with his routines and fairly easy to follow Quote Link to comment Share on other sites More sharing options...
BIGAL Posted Saturday at 12:08 AM Share Posted Saturday at 12:08 AM (edited) if talking a dynamic block then yes thanks to Lee-mac 1st, then can display visibility values and choose. Works for any dynamic block as it reads the visibility values. You insert block and then visibility values are displayed. Is this what you want as its 3 lisps, 2 are library functions the dcl and Lee-mac dynamic block functions. let me know will post code. Edited Saturday at 12:10 AM by BIGAL 1 Quote Link to comment Share on other sites More sharing options...
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.